Bug 127305 - Auto-fill QR Code dialog Box for selected text from the document
Summary: Auto-fill QR Code dialog Box for selected text from the document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords:
Depends on:
Blocks: QR-code
  Show dependency treegraph
 
Reported: 2019-09-03 06:36 UTC by shubhamgoyal
Modified: 2021-03-24 09:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shubhamgoyal 2019-09-03 06:36:45 UTC
Description:
The URL/Text section of the QR Code dialog Box should be auto-filled.

We may have a reference code:- for the text selected in the document, the hyperlink dialog's Text section is auto-filled.
Check the same: Open Writer, Write text, Select It, Ctrl + k, see the Text section in the hyperlink box, Autofilled!

Steps to Reproduce:
1.Open Writer
2.type some text.
3.Select some text.
4.Insert -> QR Code..

Actual Results:
The QR Code generator dialog URL/Text section is not auto-fill.

Expected Results:
The dialog's URL/Text section should be auto-filled.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 raal 2019-09-03 21:35:45 UTC
+1,setting to new
Comment 2 Commit Notification 2019-12-06 07:18:18 UTC
shubham goyal committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/704a558b8689beb1a83a3e2d21481e0ea118e134

tdf#127305 display selected text in URL field QR Code Dialog

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-12-07 22:15:53 UTC
shubham goyal committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/06b6879dbc93479a22163cadd3c91cf265a29781

tdf#127305 display selected text in URL field QR Code Dialog

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-01-20 14:26:10 UTC
A polite ping to shubham goyal:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
Otherwise, Could you please explain what's missing?
Thanks